org.jfree.data.statistics

## Interface StatisticalCategoryDataset

All Superinterfaces:
  CategoryDataset, Dataset, KeyedValues2D, Values2D

All Known Implementing Classes:
  DefaultStatisticalCategoryDataset

    public interface StatisticalCategoryDataset
    extends CategoryDataset

A category dataset that defines a mean and standard deviation value for each item.

### Method Summary

Methods
`java.lang.Number` `getMeanValue(java.lang.Comparable rowKey, java.lang.Comparable columnKey)` Returns the mean value for an item.
`java.lang.Number` `getMeanValue(int row, int column)` Returns the mean value for an item.
`java.lang.Number` `getStdDevValue(java.lang.Comparable rowKey, java.lang.Comparable columnKey)` Returns the standard deviation value for an item.
`java.lang.Number` `getStdDevValue(int row, int column)` Returns the standard deviation value for an item.

### Methods inherited from interface org.jfree.data.KeyedValues2D

`getColumnIndex, getColumnKey, getColumnKeys, getRowIndex, getRowKey, getRowKeys, getValue`

### Methods inherited from interface org.jfree.data.Values2D

`getColumnCount, getRowCount, getValue`

### Methods inherited from interface org.jfree.data.general.Dataset

`addChangeListener, getGroup, removeChangeListener, setGroup`

### Method Detail

#### getMeanValue

    java.lang.Number getMeanValue(int row,
                                int column)

Returns the mean value for an item.

Parameters:
  `row` - the row index (zero-based).
  `column` - the column index (zero-based).
Returns:
  The mean value (possibly `null`).

#### getMeanValue

    java.lang.Number getMeanValue(java.lang.Comparable rowKey,
                                java.lang.Comparable columnKey)

Returns the mean value for an item.

Parameters:
  `rowKey` - the row key.
  `columnKey` - the columnKey.
Returns:
  The mean value (possibly `null`).

#### getStdDevValue

    java.lang.Number getStdDevValue(int row,
                                  int column)

Returns the standard deviation value for an item.

Parameters:
  `row` - the row index (zero-based).
  `column` - the column index (zero-based).
Returns:
  The standard deviation (possibly `null`).

#### getStdDevValue

    java.lang.Number getStdDevValue(java.lang.Comparable rowKey,
                                  java.lang.Comparable columnKey)

Returns the standard deviation value for an item.

Parameters:
  `rowKey` - the row key.
  `columnKey` - the columnKey.
Returns:
  The standard deviation (possibly `null`).